Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000784graphvizOutput Generationpublic2007-09-24 03:562011-04-28 04:03
ReporterMichelle Baert 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOS*-*-OS Version
Summary0000784: Malformed xml in dia output
Description



 Hi,
Trying to use the dia generator (to visually adjust my diagram),
I discovered that the xml produced was malformed:
the "Bezier Line" node objects, which occur for example
in rounded boxes, were never closed .
Steps To Reproduce

digraph G {
    test [shape=box, style=rounded];
}
Additional Information

I suggest the following patch, tested ok for me.
For clarity, indentation change (inner block) are not included.

Keep up the good work!

[ellson]
Thank you for the report and the fix. The change has been applied to CVS sources and will appear in Tuesday's snapshot.

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT 
<CD>
Index: lib/common/diagen.c
===================================================================
RCS file: /home/cvsroot/graphviz2/lib/common/diagen.c,v
retrieving revision 1.23
diff -w -U3 -r1.23 diagen.c
--- lib/common/diagen.c 6 Sep 2007 19:04:16
FORMER-ID1196
INPUT-FILE
OUTPUT-FILEhttp://www.graphviz.org/bugs/b1196.dia [^]
STATUS-COMMENTFixed (24 Sep 2007)
VERSION     2.8, CVS
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker